Missing GLSL compile errors for attached shaders

A place for users of OGRE to discuss ideas and experiences of utilitising OGRE in their games / demos / applications.
Post Reply
mogumbo
Gnoblar
Posts: 10
Joined: Thu Sep 14, 2017 4:14 pm

Missing GLSL compile errors for attached shaders

Post by mogumbo » Wed Aug 07, 2019 12:50 am

I'm using Ogre 1.9 (because I'm working on a project in Gazebo). I am using attached shaders like so:

Code: Select all

fragment_program lighting_frag glsl
{
  source lighting.frag
}

fragment_program my_shader_frag glsl
{
  source my_shader.frag
  attach lighting_frag
}
This setup works. However, when I am editing my shaders, I only see "GLSL compile log" warnings and errors reported in ~/.gazebo/ogre.log for my_shader.frag. Errors are never reported for lighting.frag. This makes shader development very difficult.

I confirmed this was an Ogre issue by running the New Instancing sample in SampleBrowser. I see errors reported on the console for mistakes I make in Samples/Media/materials/programs/GLSL/Instancing.frag but not for Samples/Media/materials/programs/GLSL/shadows.glsl, which is attached with the "attach" keyword.

Is there any way to see errors for all shader files?
0 x

paroj
OGRE Team Member
OGRE Team Member
Posts: 836
Joined: Sun Mar 30, 2014 2:51 pm
x 147
Contact:

Re: Missing GLSL compile errors for attached shaders

Post by paroj » Wed Aug 07, 2019 6:08 am

this should be fixed in the latest release. You could try backporting the change.
0 x

mogumbo
Gnoblar
Posts: 10
Joined: Thu Sep 14, 2017 4:14 pm

Re: Missing GLSL compile errors for attached shaders

Post by mogumbo » Wed Aug 07, 2019 5:35 pm

I can't find the change you're speaking of. Do you know which commit to look at?

I think using a customized Ogre will be too much for my project. Are changes still being accepted into 1.9? And is there any chance of changes trickling down to the Ubuntu repos?
0 x

paroj
OGRE Team Member
OGRE Team Member
Posts: 836
Joined: Sun Mar 30, 2014 2:51 pm
x 147
Contact:

Re: Missing GLSL compile errors for attached shaders

Post by paroj » Wed Aug 07, 2019 6:42 pm

mogumbo wrote:
Wed Aug 07, 2019 5:35 pm
I can't find the change you're speaking of. Do you know which commit to look at?

I think using a customized Ogre will be too much for my project. Are changes still being accepted into 1.9? And is there any chance of changes trickling down to the Ubuntu repos?
probably there are several required changes. There were 3 major releases since 1.9.

Since we only ever have one active branch for Ogre1, which is currently 1.12, we do not accept changes for any of the previous branches.

And honestly I do not think Debian would update anyway as they did not even pick up the 1.9.1 update. I think with the snap/ flatpack thing going on, they just stopped caring. Currently only Arch Linux has up-to date Ogre packages.
0 x

Post Reply